<script setup lang="ts">
import { useFoodStore } from "../../stores/foods";
import { useCategoryStore } from "@/stores/category";
import { onMounted, ref } from "vue";
import { VForm } from "vuetify/components";

const food = useFoodStore();
const categoryStore = useCategoryStore();
const form = ref<VForm | null>(null);
async function save() {
  const { valid } = await form.value!.validate();
  if (valid) {
    await food.saveFoods();
  }
}
</script>

<template>
  <v-dialog v-model="food.dialog" persistent width="1024">
    <v-card>
      <v-card-title>
        <span class="text-h5">Product</span>
      </v-card-title>
      <v-card-text>
        <v-form ref="form">
          <v-container>
            <v-row>
              <v-col cols="12">
                <v-text-field
                  label="Name*"
                  required
                  v-model="food.editedProduct.name"
                  :rules="[
                    (v) => !!v || 'Item is required',
                    (v) => v.length > 3 || 'Item must more than 3 character',
                  ]"
                ></v-text-field>
              </v-col>
              <v-col cols="12" sm="6">
                <v-text-field
                  label="Price*"
                  required
                  v-model.number="food.editedProduct.price"
                  :rules="[(v) => !!v || 'Item is required']"
                ></v-text-field>
              </v-col>
              <v-col cols="12" sm="6">
                <v-select
                  :items="['Food', 'Dessert', 'Drink']"
                  label="Type*"
                  required
                  v-model="food.editedProduct.type"
                ></v-select>
              </v-col>
              <v-col cols="12">
                <v-file-input
                  v-model="food.editedProduct.files"
                  accept="image/*"
                  label="Image Input"
                ></v-file-input>
              </v-col>
            </v-row>
          </v-container>
        </v-form>
        <small>*indicates required field</small>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          color="blue-darken-1"
          variant="text"
          @click="food.dialog = false"
        >
          Close
        </v-btn>
        <v-btn color="blue-darken-1" variant="text" @click="save"> Save </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<style scoped></style>
